#include "argconfig.ih"

// accept, no long options, no file

ArgConfig &ArgConfig::initialize(char const *accept, char const *optstring,
                int argc, char **argv,
                Comment cType, SearchCasing sType, Indices iType)
{
    if (s_argConfig)
        throw Exception{} << s_alreadyInitialized;

    return init(accept, optstring,
                0, 0,
                argc, argv,
                cType, sType, iType);
}
